---
title: PageTransitionEvent
slug: Web/API/PageTransitionEvent
tags:
  - API
  - Interface
  - PageTransitionEvent
  - Reference
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>PageTransitionEvent</code></strong> event object is available inside handler functions for the <code><a href="/en-US/docs/Web/API/Window/pageshow_event">pageshow</a></code> and <code><a href="/en-US/docs/Web/API/Window/pagehide_event">pagehide</a></code> events, fired when a document is being loaded or unloaded.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("Event")}}.</em></p>

<dl>
 <dt>{{domxref("PageTransitionEvent.persisted")}} {{readonlyInline}}</dt>
 <dd>Indicates if the document is loading from a cache.</dd>
</dl>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;body&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">window.addEventListener('pageshow', myFunction);

function myFunction(event) {
  if (event.persisted) {
    alert("The page was cached by the browser");
  } else {
    alert("The page was NOT cached by the browser");
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#the-pagetransitionevent-interface', 'PageTransitionEvent')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PageTransitionEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Window/pageshow_event"><code>pageshow</code> event</a></li>
 <li><a href="/en-US/docs/Web/API/Window/pagehide_event"><code>pagehide</code> event</a></li>
</ul>
